#ifndef BOOL_DEFINED
# define BOOL_DEFINED 1
#if defined __STDC__ && defined __STDC_VERSION__ && __STDC_VERSION__ >= 199901L
	/* have a C99 compiler */
	typedef _Bool boolean;
#else
	/* do not have a C99 compiler */
	typedef unsigned char boolean;
	#define true 1
	#define false 0
#endif
#endif

// Options for file_write() / uinp_write() functions
#define STATUS_MSG    1
#define BARCODES      2
#define STATUS_VOL    3
// [...]

char open_output_file( char *filename );
char open_output_uinput( char *uinp_manualdev );

void set_delimiter_key( int keycode );
void set_endkey( int keycode );

char write_output( int output );
char close_output( void );